<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="ISO-8859-1">
<title>Add a New Product</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
</head>

<style>
	td{
		font-size:20px;
		font-weight:bold;
	}
</style>
<body>
<div class="container-fluid" >
        
        
    <nav class="navbar navbar-expand-md  navbar-dark bg-dark " >
        <button class="navbar-toggler " data-bs-toggle="collapse" data-bs-target="#hamburger">
            <span class="navbar-toggler-icon "></span>
        </button>
       
       
        <div class="collapse navbar-collapse pt-1 pb-1" id="hamburger">
      
            <ul class="navbar-nav ms-auto pt-1 pb-1" >
               	<div> <h1 style="color:white; "> Product Management System </h1></div>
               		
	                <li class="nav-item " ><a href="#" class="nav-link"></a></li>
	                <li class="nav-item "><a href="#" class="nav-link"></a></li>
	                <li class="nav-item "><a href="#" class="nav-link "></a></li>
               
            </ul>
        </div>
    </nav>
    </div>

<!-- Start of form -->
<div class="row">
		<!-- <div class="alert alert-success" *ngIf='message'>{{message}}</div> -->

	<div class="container" style="margin-top:100px;">
	

<!-- Form starts here -->
	<div align="center">
		<h1 align="left"> Add a New Product</h1> 
		
		
		<form action="#" th:action="@{/save}" th:object="${product}" method="POST" enctype="multipart/form-data">
		<table class="table table-bordered">
				<tr> 
					<td>
						<label class="form-label" > Product Name </label>
					
					</td>
					<td> 
						<input type="text" th:field="*{name}" class="form-control" required/>
					
					</td>
				</tr>
				<tr> 
					<td>
						
						<label class="form-label" > Price </label>
					
					</td>
					<td> 
						<input type="number" th:field="*{price}" class="form-control" required step="0.01" value="0.00"/> 
					
					</td>
				</tr>
				<tr> 
					<td>
						
						<label class="form-label" > Image </label>
					
					</td>
					<td> 
						<input type="file" name="fileImage" id="fileImage" accept="image/pgn, image/jpeg" class="form-control"/> 
					
					</td>
					
				</tr>
				<tr> 
					<td colspan="2">
					
					<input type="submit" class="btn btn-success" value="Add a New Product"></input>
					
					
					</td>
					
				</tr>
			</table>
		</form>
	</div>
</div>
</div>
</body>
</html>